### Method

# FwupdPlugin Device set_version

#### Declaration [src]

    void
    fu_device_set_version (
      FuDevice* self,
      const gchar* version
    )

#### Description [src]

Sets the device version, sanitizing the string if required.

Available since: | 1.2.9

#### Parameters

`version` | `const gchar*`
| A string, e.g. `1.2.3`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.